PDA

View Full Version : vBET 3.5.1 Released



vBET
06-10-11, 01:42
Hi :)

Google Translation API v1 and Microsoft Translation API put limits for number of translations. This release is about to help with this issue by supporting providers queue. So right now when more than one provider supports translation then vBET will use preferred one first. And in case if it is not available vBET will switch to next one. Not available is marked so we will not ask each time and every 10 minutes vBET will check is it available again. In case if no translation provider is available for translation vBET will use dummy translator. It means that already cached translations will be displayed and for not existing translations original text will be shown (not empty one like before - this can happen only when provider refuses translation).

Please note that you have to turn off option Use Google Only and set appropriate API keys to use providers queue. For details please see Admin CP -> vBET -> Translation Providers

ADDITIONAL UPDATE STEP!
If you didn't change configuration in vbet_translation_options then upload again content of upload-once into your server.
Those configuration files includes default providers queue for language pairs. If you made some changes there you can upload again and do the changes again or manually set providers queue preferred by you (see here for more details (http://www.vbenterprisetranslator.com/forum/troubleshooting/6-faq-2.html#post8915)).

NEW:

Translation providers queue


Bugs corrected:

Problem with "=&" (http://www.vbenterprisetranslator.com/forum/vbet4-bug-reporting/2405-errors-php-5-3-8-a.html#post10172)

vBET
06-10-11, 13:31
Little change made - we will check provider availability not once per hour but every 10 minutes. If you already upgraded to vBET 3.5.1 before this message please just download vBET package again and upload product file again.

vBET
06-10-11, 14:45
Please hold on with this update. We discovered that now providers are turned off also because of wrong requests. We are right now working to correct it (will be included in next release). If you must you can update - just providers will be disabled more frequently than it is required.

AfrikaansAlbanianArabicBelarusianBulgarianCatalanChineseCroatianCzechDanishDutchEnglishEstonianFilipinoFinnishFrenchGalicianGermanGreekHaitian CreoleHebrewHindiHungarianIcelandicIndonesianIrishItalianJapaneseKoreanLatvianLithuanianMacedonianMalayMalteseNorwegianPersianPolishPortugueseRomanianRussianSerbianSlovakSlovenianSpanishSwahiliSwedishTaiwaneseThaiTurkishUkrainianVietnameseWelshYiddish
Translated to other languages supported by vB Enterprise Translator 4.9.99